@use "bootstrap";

button {
  cursor: pointer;
}

.header {
  padding: 3vw 3.75vw 0;
  display: flex;
  justify-content: space-between;
  margin-bottom: 7vw;
  align-items: center;

  @include bootstrap.respond-to-small-screen {
    padding: 1.3rem 1rem 0;
    margin-bottom: 4.8rem;
    gap: 4vw;
    transition: none;

    .logo {
      font-size: 2.4rem;
      transition: opacity var(--header-transition-duration) ease;
    }

    &--nav-toggled {
      position: fixed;
      z-index: 100;
      padding-bottom: 1.3rem;
      background-color: var(--color-light);
      width: 100%;
      box-shadow: 0 1rem 3.5rem var(--color-dark);
      transition: box-shadow var(--header-transition-duration) ease-in;

      .logo {
        position: absolute;
        opacity: 0;
      }
    }
  }

  &__nav {
    @include bootstrap.respond-to-small-screen {
      position: absolute;
      visibility: hidden;
      opacity: 0;
      transform: translateX(-105%);
      transition: transform var(--header-transition-duration) ease-out,
        opacity var(--header-transition-duration) ease-out;

      .header--nav-toggled & {
        position: unset;
        opacity: 1;
        transform: translateX(0);
      }
    }
  }

  &__nav-list {
    display: flex;
    align-items: center;
    gap: 4vw;
  }

  &__nav-item {
    font-size: 2.4rem;
    font-weight: 500;
    text-transform: capitalize;
    text-align: center;

    @include bootstrap.animated-underline-on-activity(0.25rem);

    @include bootstrap.respond-to-small-screen {
      font-size: 1.3rem;

      @include bootstrap.animated-underline-on-activity(0.15rem);
    }

    @include bootstrap.respond-to-nav-breaking-screen {
      width: min-content;
    }
  }
}

.main {
  // These styles are needed so that content does not shift when nav shows up on mobile
  &--nav-toggled {
    @include bootstrap.respond-to-small-screen {
      padding-top: 9.7rem;
    }

    @include bootstrap.respond-to-nav-breaking-screen {
      padding-top: 10rem;
    }
  }
}

.main-section {
  padding: 0 11.5vw;
  margin-bottom: 14vw;

  @include bootstrap.respond-to-small-screen {
    padding: 0 1rem;
    margin-bottom: 10rem;
  }
}

.intro {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 3vw;
  padding: 0;

  @include bootstrap.respond-to-small-screen {
    gap: 0;
  }

  & > :not(&__hero) {
    padding-left: 19.25vw;

    @include bootstrap.respond-to-small-screen {
      padding: 0 4rem;
    }
  }

  &__header {
    display: flex;
    flex-direction: column-reverse;
    align-items: flex-start;
    gap: 1.1vw;

    @include bootstrap.respond-to-small-screen {
      gap: 0;
      margin-bottom: 1.5rem;
    }
  }

  &__heading {
    width: min(100%, 18ch);
  }

  &__description {
    font-size: 1.8rem;
    font-weight: 500;
    color: var(--color-primary);

    @include bootstrap.respond-to-small-screen {
      font-size: 1.2rem;
    }
  }

  &__hero {
    width: 92.5vw;
    align-self: center;
    border-radius: 1.8rem;

    @include bootstrap.respond-to-small-screen {
      height: 14.5rem;
      width: auto;
      object-fit: cover;
      object-position: center;
      padding: 0 1rem;
      margin-bottom: 2.2rem;
    }
  }

  &__cta {
    display: grid;
    grid-template-columns: 36.6rem;
    row-gap: 3vw;

    @include bootstrap.respond-to-small-screen {
      grid-template-columns: 100%;
      row-gap: 0;
    }
  }

  &__cta-heading {
    width: 12ch;
    @include bootstrap.respond-to-small-screen {
      margin-bottom: 2.1rem;
    }
  }

  &__cta-description {
    font-size: 1.8rem;

    @include bootstrap.respond-to-small-screen {
      font-size: 1.2rem;
      margin-bottom: 3.1rem;
    }
  }
}

.services {
  &__heading {
    width: 14ch;
    margin-bottom: 3vw;

    @include bootstrap.respond-to-small-screen {
      margin-bottom: 2rem;
    }
  }

  &__cards {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 42.2rem;
    column-gap: 4rem;

    @include bootstrap.respond-to-small-screen {
      grid-template-columns: 100%;
      column-gap: 0;
      row-gap: 4rem;
    }
  }

  &__card-item {
    padding: 4.6rem 3.4rem;
    border-radius: 2.4rem;
    transition: box-shadow 0.15s ease;

    &:hover {
      box-shadow: 0 1rem 3rem var(--color-shadow);
    }

    @include bootstrap.respond-to-small-screen {
      box-shadow: 0 1rem 3rem var(--color-shadow);
      transition: unset;
      display: flex;
      flex-direction: column;
      align-items: center;
    }
  }

  &__card-icon {
    width: 6.7rem;
    height: 6.7rem;
    margin-bottom: 3.5rem;
    border-radius: 1.6rem;
    padding: 1.5rem;

    &--1 {
      background-color: var(--color-primary);
    }

    &--2 {
      background-color: var(--color-tertiary);
    }

    &--3 {
      background-color: var(--color-secondary);
    }
  }

  &__card-title {
    font-weight: 700;
    margin-bottom: 2.4rem;
  }

  &__card-description {
    margin-bottom: 3rem;

    @include bootstrap.respond-to-small-screen {
      text-align: center;
    }
  }

  &__card-button {
    width: 11.6rem;
    height: 4.2rem;
    padding: 0.9rem 0;
    background-color: var(--color-grey-medium);
    color: var(--color-grey-dark);
    text-align: center;
    border-radius: 1.2rem;
    transition: background-color 0.15s ease, color 0.15s ease,
      outline 75ms ease-in;

    &:hover,
    &:focus {
      outline: var(--color-dark) 0.3rem solid;
    }

    @include bootstrap.respond-to-small-screen {
      transition: unset;
      background-color: var(--color-primary);
      color: var(--color-light);
    }
  }

  &__card-item:hover .services__card-button {
    background-color: var(--color-primary);
    color: var(--color-light);
  }
}

.works {
  display: flex;
  flex-direction: column;
  align-items: flex-start;

  &__heading {
    margin-bottom: 1.2rem;
    width: 16ch;

    @include bootstrap.respond-to-small-screen {
      margin-bottom: 2.25rem;
    }
  }

  &__cards {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 2rem;

    @include bootstrap.respond-to-small-screen {
      grid-template-columns: 100%;
      column-gap: 0;
      row-gap: 3.6rem;
      margin-bottom: 3.6rem;
    }
  }

  &__card-item {
    display: flex;
    flex-direction: column;

    &--1 {
      grid-row: 1 / span 1;
      grid-column: 2 / span 1;
    }

    &--2 {
      grid-row: 1 / span 1;
      grid-column: 1 / span 1;
      padding-top: 12.2vw;
    }

    &--3 {
      grid-row: 2 / span 1;
      grid-column: 1 / span 1;
      padding-top: 10vw;
    }

    &--4 {
      grid-row: 2 / span 1;
      grid-column: 2 / span 1;
      margin-top: -1.75vw;
    }

    @include bootstrap.respond-to-small-screen {
      grid-row: unset;
      grid-column: unset;
      padding-top: unset;
      margin-top: unset;
    }
  }

  &__card-image {
    width: 37.85vw;
    height: 37.85vw;
    object-fit: cover;
    object-position: center;
    border-radius: 2.4rem;
    margin-bottom: 2rem;

    @include bootstrap.respond-to-small-screen {
      width: 100%;
      height: 35rem;
      object-fit: cover;
      object-position: center;
      margin-bottom: 1.2rem;
    }
  }

  &__card-heading {
    order: 1;

    @include bootstrap.respond-to-small-screen {
      font-size: 1.8rem;
    }
  }

  &__card-description {
    font-size: 1.4rem;
    font-weight: 300;
    color: var(--color-grey-dark);

    @include bootstrap.respond-to-small-screen {
      font-size: 1.2rem;
    }
  }

  &__cta {
    align-self: flex-end;
    font-size: 2.4rem;
    font-weight: 500;
    color: var(--color-primary);
    text-transform: lowercase;
    display: flex;
    align-items: center;
    gap: 1.2rem;
    border-bottom: 0.2rem solid transparent;
    margin-top: -4.6rem;

    &::before {
      content: "";
      display: inline-block;
      background-image: url("assets/img/arrow.svg");
      background-size: contain;
      margin-top: 0.1rem;
      width: 2.4rem;
      height: 2.4rem;
      order: 1;
    }

    @include bootstrap.animated-underline-on-activity(0.225rem);

    @include bootstrap.respond-to-small-screen {
      align-self: flex-start;
      font-size: 1.8rem;
      margin-top: 0;
    }
  }
}

.team {
  display: flex;
  gap: 13vw;
  align-items: center;

  @include bootstrap.respond-to-small-screen {
    flex-direction: column;
    gap: 3.6rem;
    align-items: flex-start;
  }

  &__text {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }

  &__heading {
    margin-bottom: 1.4rem;
    width: 12ch;

    @include bootstrap.respond-to-small-screen {
      margin-bottom: 1rem;
    }
  }

  &__subheading {
    margin-bottom: 0.7rem;
    order: -1;
    font-size: 1.8rem;
    font-weight: 500;
    color: var(--color-secondary);

    @include bootstrap.respond-to-small-screen {
      font-size: 1.4rem;
      margin-bottom: 0.5rem;
    }
  }

  &__description {
    color: var(--color-grey-darker);
    width: 23ch;

    @include bootstrap.respond-to-small-screen {
      font-size: 1.2rem;
    }
  }

  &__members {
    display: grid;
    grid-template-columns: 22.22vw 1.67vw 20.28vw;
    grid-template-rows: 8.33vw 9.72vw 1.67vw 10.83vw 10vw;

    @include bootstrap.respond-to-small-screen {
      align-self: center;
      width: 100%;
      place-content: center;
      grid-template-columns: 47.47vw 2.4vw 43.2vw;
      grid-template-rows: 17.07vw 21.33vw 2.4vw 23.6vw 20.93vw;
    }
  }

  &__member-photo {
    border-radius: 2.4rem;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;

    &--1 {
      grid-row: 1 / 3;
      grid-column: 3 / span 1;
      width: auto;
      height: 100%;
      object-fit: contain;
      object-position: unset;
    }

    &--2 {
      grid-row: 4 / -1;
      grid-column: 3 / span 1;
    }

    &--3 {
      grid-row: 2 / 5;
      grid-column: 1 / span 1;
    }
  }
}

.clients {
  &__heading {
    margin-bottom: 5rem;

    @include bootstrap.respond-to-small-screen {
      margin-bottom: 2.7rem;
    }
  }

  &__person {
    display: grid;
    grid-template-columns: 8.2rem max-content;
    grid-template-rows: repeat(2, max-content);
    column-gap: 3rem;
    row-gap: 1.2rem;
    align-content: center;
  }

  &__person-image {
    grid-column: 1 / span 1;
    grid-row: 1 / span 2;
    width: 8.2rem;
    height: 8.2rem;
    border-radius: 1.2rem;
    object-fit: cover;
    object-position: center;
  }

  &__person-name {
    font-size: 2.4rem;
    font-weight: 500;
    grid-column: 2 / span 1;
    grid-row: 1 / span 1;
    align-self: end;
  }

  &__person-company {
    font-size: 1.8rem;
    font-weight: 500;
    color: var(--color-grey-dark);
    grid-column: 2 / span 1;
    grid-row: 2 / span 1;
    align-self: start;
  }
}

.footer {
  background-color: #100e1d;
  color: var(--color-light);
  padding: 3vw 9.5vw calc(3vw + env(safe-area-inset-bottom)) 11.5vw;
  display: flex;
  align-items: flex-start;

  @include bootstrap.respond-to-small-screen {
    padding: 3.6rem 4.2rem calc(19.5rem + env(safe-area-inset-bottom)) 4.2rem;
    flex-direction: column;
  }

  &__nav-list {
    display: flex;
    flex-direction: column;
    margin-right: 17vw;

    @include bootstrap.respond-to-small-screen {
      margin-right: 0;
      margin-bottom: 6.4rem;
    }
  }

  &__nav-item {
    font-size: 1.8rem;
    line-height: 2;
    text-transform: capitalize;
  }

  &__nav-link {
    @include bootstrap.animated-underline-on-activity(0.2rem);
  }

  &__logo {
    color: var(--color-grey-light);
    margin-bottom: 0.8rem;
  }

  &__socials {
    margin-right: auto;

    @include bootstrap.respond-to-small-screen {
      margin-right: 0;
      margin-bottom: 6.4rem;
    }
  }

  &__cta-field {
    flex: 0 0 35rem;

    @include bootstrap.respond-to-small-screen {
      flex: 0 0 100%;
      align-self: center;
    }

    & .cta-field__description {
      color: var(--color-grey-light);
    }

    & .cta-field__input {
      color: var(--color-dark);
      caret-color: var(--color-dark);

      &:focus-visible {
        outline: var(--color-grey-light) 0.2rem solid;
        outline-offset: 0.2rem;
      }
    }
  }
}
